
QGIS Application - Bug report #3450

GdalTools: grid - loading a point layer from the canvas does not work

2011-01-29 01:37 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13510

Description

If a file is loaded on the canvas, attempting to use it for grid analyses results in an error:

the selected file is not supported by OGR.

The same file is ok when loaded from filesystem

Associated revisions

Revision 3a3da1db - 2011-03-05 05:03 PM - Giuseppe Sucameli

fix #3450

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15342 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision eda85f11 - 2011-03-05 05:03 PM - Giuseppe Sucameli

fix #3450

git-svn-id: http://svn.osgeo.org/qgis/trunk@15342 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-03-05 07:35 AM - Borys Jurgiel

Seems like an easy fix. Brushtyler, I don't fix it myself as I believe there must be a reason for the comment in doGrid.GdalToolsDialog.getInputFileName() ?

#2 - 2011-03-05 08:05 AM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:1 borysiasty]:

Seems like an easy fix. Brushtyler, I don't fix it myself as I believe there must be a reason for the comment in

doGrid.GdalToolsDialog.getInputFileName() ?

No reasons... I fixed it.
#3 - 2011-03-05 08:06 AM - Giuseppe Sucameli

Fixed in commit:eda85f11 (SVN r15343)
